@import "../../styles/setting.colors.scss", "../../styles/util.mixins.scss",
  "../../styles/setting.fonts.scss";

.hdr-widget {
  &--menu-main {
    position: relative;
    padding: 0;

    .menu-main-toggle {
      padding-left: 0;
    }
  }
}

.menu-main-toggle {
  background-color: transparent;
  border: none;
  outline: none;
  -webkit-tap-highlight-color: transparent;
}

.hamburger {
  padding: 15px 30px;
  display: inline-block;
  cursor: pointer;
  transition-property: opacity, filter;
  transition-duration: 0.15s;
  transition-timing-function: linear;
  font: inherit;
  color: inherit;
  text-transform: none;
  background-color: transparent;
  border: 0;
  margin: 0;
  overflow: visible;
  outline: none;

  &:hover {
    opacity: 0.7;
  }

  &-box {
    width: 20px;
    height: 18px;
    display: block;
    position: relative;
  }

  &-inner {
    display: block;
    top: 50%;
    margin-top: -2px;
    width: 20px;
    height: 2px;
    background: $accent-color-1;
    background: linear-gradient(-90deg, $accent-color-1, $accent-color-2);
    border-radius: 4px;
    position: absolute;
    transition-property: -webkit-transform;
    transition-property: transform;
    transition-property: transform, -webkit-transform;
    transition-duration: 0.15s;
    transition-timing-function: ease;

    &::before,
    &::after {
      content: "";
      width: 20px;
      height: 2px;
      background: $accent-color-1;
      background: linear-gradient(-90deg, $accent-color-1, $accent-color-2);
      border-radius: 4px;
      position: absolute;
      transition-property: -webkit-transform;
      transition-property: transform;
      transition-property: transform, -webkit-transform;
      transition-duration: 0.15s;
      transition-timing-function: ease;
      display: block;
    }
    &::before {
      top: -6px;
    }
    &::after {
      bottom: -6px;
    }
  }

  /*
	 * Elastic
	 */

  &--elastic {
    .hamburger-inner {
      transition-duration: 0.4s;
      transition-timing-function: cubic-bezier(0.68, -0.55, 0.265, 1.55);

      &::before {
        top: -6px;
        transition: opacity 0.15s 0.4s ease;
      }

      &::after {
        top: 6px;
        transition: -webkit-transform 0.4s
          cubic-bezier(0.68, -0.55, 0.265, 1.55);
        transition: transform 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
        transition: transform 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55),
          -webkit-transform 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
      }
    }
    &.is-active .hamburger-inner {
      transform: translate3d(0, 0, 0) rotate(135deg);
      transition-delay: 0.1s;
      &::before {
        transition-delay: 0s;
        opacity: 0;
      }
      &::after {
        transform: translate3d(0, -6px, 0) rotate(-270deg);
        transition-delay: 0.1s;
      }
    }
  }
}

.menu-main-wrapper {
  position: absolute;
  top: 100%;
  left: 0;
  background-color: white;
  border-radius: 3px;
  box-shadow: 0 5px 20px -10px rgba(0, 0, 0, 0.3);
  transition: 0.3s ease;
  z-index: 1;
  padding: 20px 0;
  pointer-events: none;
  z-index: -1;
  transform: translateY(30px);
  opacity: 0;
  transition: 0.3s cubic-bezier(0.87, 0.04, 0.25, 1);
  display: none;

  @media screen and (max-width: 990px) {
    display: none !important;
  }

  &:after {
    content: " ";
    width: 0;
    border-style: solid;
    position: absolute;
    bottom: 100%;
    border-width: 10px;
    border-color: transparent transparent white;
    left: 11px;
    margin-bottom: -1px;
    filter: drop-shadow(0 -1px 0 rgba(0, 0, 0, 0.1));
  }

  &.is-active {
    pointer-events: auto;
    z-index: 1;
    transform: translateY(0);
    opacity: 1;
    display: block;
  }

  //- prevent visible overflow against menu-wrapper background
  &.mega-open {
    overflow: hidden;
  }

  .menu,
  .sub-menu {
    list-style: none;
    display: block;
    padding: 0;
    margin: 0;
  }

  .menu {
    position: relative;
    display: inline-block;
    transition: box-shadow 0.5s ease;
    font-size: 90%;

    //- Add right shadow when mega menu open
    &.sub-open {
      box-shadow: 1px 0 0 rgba(0, 0, 0, 0.1);
    }

    //- First Level Menu Items
    > .menu-item {
      min-width: 200px;

      &.menu-item-has-children > a:after {
        content: "\f054";
        font-family: "Fontawesome";
        font-size: 10px;
        position: absolute;
        right: 10px;
        z-index: 2;
        top: 10px;
      }
      a {
        padding: 10px 20px;
        display: block;
        color: inherit;
        text-decoration: none;
        position: relative;
        z-index: 1;
        line-height: 1;
        transition: 0.3s ease;
        cursor: pointer;

        //- Hover Background
        &:before {
          content: " ";
          position: absolute;
          width: 100%;
          height: 100%;
          background-image: linear-gradient(
            90deg,
            $accent-color-1,
            $accent-color-2
          );
          opacity: 0;
          left: 0;
          top: 0;
          z-index: -1;
          transition: 0.3s ease;
        }
      }

      //- this to make hover state persist when submenu is hovered
      &:hover {
        > a {
          color: white;

          //- Show hover background
          &:before {
            opacity: 1;
          }
        }
      }

      //- Open Mega Menu
      &.sub-open {
        > .sub-menu {
          opacity: 1;
          visibility: visible;
          pointer-events: auto;
          transform: translateY(0);
          z-index: 1;
        }
      }
    }

    &-desc {
      display: block;
      color: $detail-color;
      font-style: italic;
      @include em(14);
      padding-bottom: 5px;
    }

    //- All Menu Item
    &-item {
      //- menu icon
      .fa,
      [class*="ico"] {
        width: 16px;
        margin-right: 10px;

        &:before {
          line-height: 1;
        }
      }

      a {
        padding: 10px 20px;
        display: block;
      }

      // Regular dropdown menu
      &:not(.mega-menu) {
        position: relative;

        &:hover {
          > .sub-menu {
            opacity: 1;
            pointer-events: auto;
            transform: translateY(0);
          }
        }

        .sub-menu {
          position: absolute;
          top: 0;
          left: 100%;
          min-width: 200px;
          background-color: white;
          opacity: 0;
          pointer-events: none;
          transform: translateY(30px);
          transition: 0.3s ease;
          box-shadow: 0 5px 20px -10px rgba(0, 0, 0, 0.3);

          a {
            position: relative;
            transition: 0.3s ease;
            padding: 10px 20px;
            display: block;
            line-height: 1.8;
          }
          li:hover {
            > a {
              color: $accent-color-1;
            }
          }
        }
      }

      //- Mega Menu Item
      &.mega-menu {
        //- Sub menu that hold mega menu item
        > .sub-menu {
          position: absolute;
          pointer-events: none;
          visibility: hidden;
          opacity: 0;
          top: 0;
          left: 100%;
          transition: opacity 0.15s ease, transform 0.15s ease;
          display: flex;
          transform: translateY(20px);
          padding: 0 20px;
          @include clearfix;

          //- Mega menu Column
          > .menu-item {
            min-width: 200px;

            &:not(:last-child) {
              padding-right: 30px;
            }
          }

          //- Mega Menu Column Title
          .menu-item-has-children > a {
            font-weight: 700;
            font-size: 16px;
            text-transform: uppercase;
            color: $heading-color;

            .menu-desc {
              text-transform: initial;
              font-weight: 400;
              font-size: 13px;
              line-height: 1.5;
              padding-top: 3px;
              font-style: normal;
            }
          }

          //- Mega Menu subs
          .sub-menu {
            display: block;
            box-shadow: none;
            left: 0;
            position: relative;
            background: transparent;
            opacity: 1;
            pointer-events: auto;
            transform: translateY(0);

            .menu-item-has-children {
              margin-top: 20px;
            }

            a {
              position: relative;
              padding: 5px 20px;
              color: $heading-color;
              font-weight: 600;
              &:before {
                height: 1px;
                bottom: 0;
                top: auto;
                background-color: rgba(0, 0, 0, 0.1);
              }

              &:after {
                content: " ";
                position: absolute;
                width: 0;
                height: 1px;
                right: 0;
                background-color: $accent-color-1;
                bottom: 0;
                transition: 0.3s ease;
              }
              &:hover {
                &:after {
                  width: 100%;
                  right: auto;
                  left: 0;
                }
              }
              .menu-desc {
                font-weight: 400;
              }
            }
          }
        }
      }
    }

    .page_item:not(.menu-item) {
      white-space: nowrap;
      position: relative;
      a {
        padding: 10px 15px;
        &:hover {
          color: $accent-color-1;
        }
      }
      .children {
        position: absolute;
        left: 100%;
        top: 0;
      }
    }
  }

  .hover-area {
    position: absolute;
    top: 0;
  }
}
